package com.dji.sdk.cloudapi.debug;

import com.dji.sdk.common.BaseModel;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author sean
 * @version 1.7
 * @date 2023/10/20
 */
public class RtkCalibrationRequest extends BaseModel {

    @NotNull
    private List<RtkCalibrationRequestData> devices;

    public RtkCalibrationRequest() {
    }

    @Override
    public String toString() {
        return "RtkCalibrationRequest{" +
                ", devices=" + devices +
                '}';
    }

    public List<RtkCalibrationRequestData> getDevices() {
        return devices;
    }

    public RtkCalibrationRequest setDevices(List<RtkCalibrationRequestData> devices) {
        this.devices = devices;
        return this;
    }

}
